![alt text](https://raw.githubusercontent.com/DexterInd/GrovePi/master/Software/CSharp/Windows_IOT_and_Dex-768x281.jpg "Logo WinIoT GrovePi")

# GrovePi in C#
Get the Packages:
* Windows 10 IoT C# driver library for [GrovePi](https://www.nuget.org/packages/GrovePi/).
* The NuGet package for the current release is available [here](https://www.nuget.org/packages/GrovePi/).

# Getting Started with WinIoT
If you are just starting with WinIoT, see our [tutorial for getting started with WinIoT and the GrovePi here](http://www.dexterindustries.com/GrovePi/programming/getting-started-with-windows-iot-and-the-grovepi-winiot/).  There are three steps:

[Introduction to Getting Started with WinIoT and the GrovePi.](http://www.dexterindustries.com/GrovePi/programming/getting-started-with-windows-iot-and-the-grovepi-winiot/)

1. [Setting up your Computer and Raspberry Pi](http://www.dexterindustries.com/GrovePi/programming/getting-started-with-windows-iot-and-the-grovepi-winiot/getting-started-windows-iot-winiot-and-grovepi-setting-up-your-pc-and-pi/)

2. [Run Hello World in WinIoT](http://www.dexterindustries.com/GrovePi/programming/getting-started-with-windows-iot-and-the-grovepi-winiot/getting-started-windows-iot-winiot-and-grovepi-run-hello-world/)

3. [More WinIoT GrovePi Samples and Examples](http://www.dexterindustries.com/GrovePi/programming/getting-started-with-windows-iot-and-the-grovepi-winiot/getting-started-windows-iot-winiot-and-grovepi-more-winiot-grovepi-samples-and-examples/)


# Sample Programs in C#
Below are some simple examples of how to use the library.

######Sample Programs
* Button_Buzzer
* Example-Button
* Example-LCD_Display
* Example-LED
* Example-Light_Sensor
* Example-Relay
* Example-Sound_Sensor
* Example-Temp_and_Humidity
* Example-Ultrasonic
* HelloWorldBlinky
* LcdRgbDisplay
* LedFade
* Light_Sensor_LCDDisplay

#####Supported Samples

All supported sensors are available through the DeviceFactory class.

Supported sensors include:
- Relay
- Led
- TemperatureAndHumiditySensor
- UltraSonicSensor
- AccelerometerSensor
- RealTimeClock
- BuildLedBar
- FourDigitDisplay
- ChainableRgbLed
- RotaryAngleSensor
- Buzzer
- SoundSensor
- LightSensor
- ButtonSensor
- RgbLcdDisplay


### Getting Into It
Want to hack it open or make your own from scratch? With full hardware and software designs, you can remix and duplicate to your hearts content.

See more at the [GrovePi Site](http://dexterindustries.com/GrovePi/)
